<?xml version="1.0" encoding="UTF-8"?>
<option id="empresas_rcrd">
    <type>RCRD</type>
    <title>Reporte de Empresas</title>
    <width>550</width>
    <height>450</height>
    <pbin>NO</pbin>
    <base_path>..</base_path>
    <clase>
        <database>SanCayetano</database>        
        <table>sdm_empresas</table>
        <keys>i8_empresa_id</keys>
        <select_fields>i8_empresa_id,i8_contribuyente_id,c14_nit_id,v128_denominacion_comercial,i2_tipo_sociedad_id,c1_tipo_empresa_id,c1_tipo_local_id,c10_matricula,dt_inicio_operaciones,c8_base_empresa</select_fields>
        <select_labels id="i2_tipo_sociedad_id">
                <database>SanCayetano</database>
                <table>sdm_tipo_sociedades</table>
                <id_field>i2_tipo_sociedad_id</id_field>
                <fields>v32_tipo_sociedad</fields>
                <document_fields>v32_tipo_sociedad</document_fields>
        </select_labels>
        <select_labels id="null"></select_labels>
        <associations>ubicacion,ign,contribuyente,propietarios,suministros,activos,servicios,imponibles,consumos,actividades,calle,avenida</associations>
        <association id="ubicacion" type="soft" scope="record">
            <database>SanCayetano</database>        
            <header>Ubicacion</header>
            <table>sdd_empresa_ubicacion</table>
            <keys>i8_empresa_id</keys>
            <fields>i8_empresa_id,c64_num_id,c16_codigo_catastral_id,c11_sector_id,c2_poligono_id,c2_block_id,i4_parcela,c2_zona_id,c2_barrio_id,c4_calle_id,c4_avenida_id,c2_pasaje_id,c2_senda_id,c4_casa,i2_tipo_sector_id,ts_update,ts_in,txt_referencia</fields>
            <document_fields>i8_empresa_id,c64_num_id,c16_codigo_catastral_id,c11_sector_id,c2_poligono_id,c2_block_id,i4_parcela,c2_zona_id,c2_barrio_id,c4_calle_id,c4_avenida_id,c2_pasaje_id,c2_senda_id,c4_casa,i2_tipo_sector_id,ts_update,ts_in,txt_referencia</document_fields>    
            <select_labels id="c11_sector_id">
                <database>SanCayetano</database>
                <table>sdm_sectores</table>
                <id_field>c11_sector_id</id_field>
                <fields>v64_sector</fields>
                <document_fields>v64_sector</document_fields>
            </select_labels>
            <select_labels id="i2_tipo_sector_id">
                <database>SanCayetano</database>
                <table>sdm_tipo_sectores</table>
                <id_field>i2_tipo_sector_id</id_field>
                <fields>v64_tipo_sector</fields>
                <document_fields>v64_tipo_sector</document_fields>
            </select_labels>
            <select_labels id="c2_poligono_id">
                <database>SanCayetano</database>
                <table>sdd_sector_poligonos</table>
                <id_field>c2_poligono_id</id_field>
                <filters>
                    <fields>c11_sector_id</fields>
                </filters>
                <fields>v64_poligono</fields>
                <document_fields>v64_poligono</document_fields>
            </select_labels>
            <select_labels id="c2_block_id">
                <database>SanCayetano</database>
                <table>sdd_sector_blocks</table>
                <id_field>c2_block_id</id_field>
                <filters>
                    <fields>c11_sector_id</fields>
                </filters>
                <fields>v64_block</fields>
                <document_fields>v64_block</document_fields>
            </select_labels>
            <select_labels id="c2_barrio_id">
                <database>SanCayetano</database>
                <table>sdd_sector_barrios</table>
                <id_field>c2_barrio_id</id_field>
                <filters>
                    <fields>c11_sector_id</fields>
                </filters>
                <fields>v64_barrio</fields>
                <document_fields>v64_barrio</document_fields>
            </select_labels>
            <select_labels id="c2_zona_id">
                <database>SanCayetano</database>
                <table>sdd_sector_zonas</table>
                <id_field>c2_zona_id</id_field>
                <filters>
                    <fields>c11_sector_id</fields>
                </filters>
                <fields>v64_zona</fields>
                <document_fields>v64_zona</document_fields>
            </select_labels>
            <select_labels id="c4_calle_id">
                <database>SanCayetano</database>
                <table>sdd_sector_calles</table>
                <id_field>c4_calle_id</id_field>
                <filters>
                    <fields>c11_sector_id</fields>
                </filters>
                <fields>v64_calle</fields>
                <document_fields>v64_calle</document_fields>
            </select_labels>
            <select_labels id="c4_avenida_id">
                <database>SanCayetano</database>
                <table>sdd_sector_avenidas</table>
                <id_field>c4_avenida_id</id_field>
                <filters>
                    <fields>c11_sector_id</fields>
                </filters>
                <fields>v64_avenida</fields>
                <document_fields>v64_avenida</document_fields>
            </select_labels>
            <select_labels id="c2_pasaje_id">
                <database>SanCayetano</database>
                <table>sdd_sector_pasajes</table>
                <id_field>c2_pasaje_id</id_field>
                <filters>
                    <fields>c11_sector_id</fields>
                </filters>
                <fields>v64_pasaje</fields>
                <document_fields>v64_pasaje</document_fields>
            </select_labels>
            <select_labels id="c2_senda_id">
                <database>SanCayetano</database>
                <table>sdd_sector_sendas</table>
                <id_field>c2_senda_id</id_field>
                <filters>
                    <fields>c11_sector_id</fields>
                </filters>
                <fields>v64_senda</fields>
                <document_fields>v64_senda</document_fields>
            </select_labels>
            <select_labels id="null"></select_labels>
        </association>
        <association id="ign" type="soft" scope="record">
            <database>SanCayetano</database>        
            <header>CNR</header>
            <table>sdd_empresa_cnr</table>
            <keys>i8_empresa_id</keys>
            <fields>c11_ign_id,c8_libro_id,c8_folio_id,c8_numero_id,c8_referencia_id</fields>
            <document_fields>c11_ign_id,c8_libro_id,c8_folio_id,c8_numero_id,c8_referencia_id</document_fields>
        </association>
        <association id="contribuyente" type="soft" scope="record">
            <database>SanCayetano</database>        
            <header>Contribuyentes</header>
            <table>sdd_empresa_contribuyentes</table>
            <keys>i8_empresa_id</keys>
            <filters>
                <fields>i2_tipo_contribuyente_id</fields>
                <values>3</values>
            </filters>
            <fields>i8_contribuyente_id</fields>
            <document_fields>i8_contribuyente_id</document_fields>
            <select_labels id="i8_contribuyente_id">
                <database>SanCayetano</database>
                <table>sdm_contribuyentes</table>
                <id_field>i8_contribuyente_id</id_field>
                <fields>v64_nombres,v64_apellidos,c14_nit_id,c11_dui_id,c16_pasaporte_id,c14_iva_id,v128_contribuyente</fields>
                <document_fields>v64_nombres,v64_apellidos,c14_nit_id_rep,c11_dui_id_rep,c16_pasaporte_id_rep,c14_iva_id_rep,v128_contribuyente</document_fields>
            </select_labels>
            <select_labels id="null"></select_labels>
        </association>
        <association id="propietarios" type="soft" scope="table">
            <database>SanCayetano</database>        
            <header>Propietarios</header>
            <table>sdd_empresa_contribuyentes</table>
            <keys>i8_empresa_id</keys>
            <!--filters>
                <fields>i2_tipo_telefono_id</fields>
                <values>3</values>
            </filters-->
            <fields>i8_contribuyente_id,i8_contribuyente_id,i8_contribuyente_id,i8_contribuyente_id,i2_tipo_contribuyente_id,dt_desde</fields>
            <document_fields>i8_contribuyente_id,v128_contribuyente,c11_dui_id,c14_nit_id,v64_tipo_contribuyente,dt_desde</document_fields>
            <select_labels id="i8_contribuyente_id">
                <database>SanCayetano</database>
                <table>sdm_contribuyentes</table>
                <id_field>i8_contribuyente_id</id_field>
                <fields>v128_contribuyente,c11_dui_id,c14_nit_id</fields>
                <document_fields>v128_contribuyente,c11_dui_id,c14_nit_id</document_fields>
                </select_labels>
            <select_labels id="i2_tipo_telefono_id">
                <database>SanCayetano</database>
                <table>sdd_contribuyente_telefonos</table>
                <id_field>i2_tipo_telefono_id</id_field>
                <fields>v16_tipo_telefono</fields>
                <document_fields>v16tipo_telefono</document_fields>
            </select_labels>
            <select_labels id="i2_tipo_contribuyente_id">
                <database>SanCayetano</database>
                <table>sdm_tipo_contribuyentes</table>
                <id_field>i2_tipo_contribuyente_id</id_field>
                <fields>v64_tipo_contribuyente</fields>
                <document_fields>v64_tipo_contribuyente</document_fields>
            </select_labels>
            <select_labels id="null"></select_labels>
        </association>
        <association id="suministros" type="soft" scope="table">
            <database>SanCayetano</database>        
            <header>Suministros</header>
            <table>sdd_empresa_suministros_energias</table>
            <keys>i8_empresa_id</keys>
            <fields>i8_nis_id,c2_gravable,v64_nombres,v64_apellidos,c16_medidor_id,c8_cuenta,dt_desde,dt_hasta</fields>
            <document_fields>i8_nis_id,c2_gravable,v64_nombres,v64_apellidos,c16_medidor_id,c8_cuenta,dt_desde,dt_hasta</document_fields>
            <select_labels id="null"></select_labels>
        </association>
        <association id="servicios" type="soft" scope="table">
            <database>SanCayetano</database>        
            <header>Servicios</header>
            <table>sdd_empresa_servicios</table>
            <keys>i8_empresa_id</keys>
            <fields>c8_tributo_id,c1_tipo_tarifa_id,v64_codigo,i2_tipo_nivel_id,c2_gravable,dt_desde</fields>
            <document_fields>v64_tributo,v64_tipo_tarifa,v64_codigo,v64_tipo_nivel,c2_gravable,dt_desde</document_fields>
            <select_labels id="c8_tributo_id">
                <database>SanCayetano</database>
                <table>sdm_tributos</table>
                <id_field>c8_tributo_id</id_field>
                <fields>v64_tributo</fields>
                <document_fields>v64_tributo</document_fields>
            </select_labels>
            <select_labels id="i2_tipo_nivel_id">
                <database>SanCayetano</database>
                <table>sdm_tipo_niveles</table>
                <id_field>i2_tipo_nivel_id</id_field>
                <fields>v64_tipo_niveles</fields>
                <document_fields>v64_tipo_nivel</document_fields>
            </select_labels>
            <select_labels id="c1_tipo_tarifa_id">
                <database>SanCayetano</database>
                <table>sdm_tipo_tarifas</table>
                <id_field>c1_tipo_tarifa_id</id_field>
                <fields>v64_tipo_tarifa</fields>
                <document_fields>v64_tipo_tarifa</document_fields>
            </select_labels>            
            <select_labels id="null"></select_labels>
        </association>        
        <association id="imponibles" type="soft" scope="table">
            <database>SanCayetano</database>        
            <header>Imponibles</header>
            <table>sdd_empresa_bases_imponibles</table>
            <keys>i8_empresa_id</keys>
            <fields>c2_tipo_base_imponible_id,i2_tipo_nivel_id,f4_total,f4_deducible,dt_desde</fields>
            <document_fields>v64_tipo_base_imponible,v64_tipo_nivel,f4_total,f4_deducible,dt_desde</document_fields>
            <select_labels id="c2_tipo_base_imponible_id">
                <database>SanCayetano</database>
                <table>sdm_tipo_bases_imponibles</table>
                <id_field>c2_tipo_base_imponible_id</id_field>
                <fields>v64_tipo_base_imponible</fields>
                <document_fields>v64_tipo_base_imponible</document_fields>
            </select_labels>
            <select_labels id="i2_tipo_nivel_id">
                <database>SanCayetano</database>
                <table>sdm_tipo_niveles</table>
                <id_field>i2_tipo_nivel_id</id_field>
                <fields>v64_tipo_niveles</fields>
                <document_fields>v64_tipo_nivel</document_fields>
            </select_labels>
            <select_labels id="null"></select_labels>
        </association>
        <association id="consumos" type="soft" scope="table">
            <database>SanCayetano</database>        
            <header>Consumos</header>
            <table>sdd_empresa_suministro_energia_consumos</table>
            <keys>i8_empresa_id</keys>
            <fields>i8_nis_id,f4_consumo,dt_desde,dt_hasta</fields>
            <document_fields>i8_nis_id,f4_consumo,dt_desde,dt_hasta</document_fields>
            <order_by>1</order_by>
            <direction>desc</direction>
            <limit>6</limit>
            <select_labels id="null"></select_labels>
        </association>
        
        <association id="activos" type="soft" scope="table">
            <database>SanCayetano</database>        
            <header>Activos Declarados</header>
            <table>sdd_empresa_activos</table>
            <keys>i8_empresa_id</keys>
            <fields>y4_periodo,f16_activo,dt_declaracion,dt_recepcion,dt_desde,dt_hasta</fields>
            <document_fields>y4_periodo,dt_declaracion,dt_recepcion,dt_desde,dt_hasta</document_fields>
            <order_by>1</order_by>
            <direction>desc</direction>
            <limit>6</limit>
            <select_labels id="null"></select_labels>
        </association>
        
        <association id="actividades" type="soft" scope="record">
            <database>SanCayetano</database>        
            <header>actividades</header>
            <table>sdd_empresa_actividades</table>
            <keys>i8_empresa_id</keys>
            <!--fields>c11_sector_id,i2_tipo_sector_id,c2_poligono_id,c2_block_id,c2_zona_id,c4_calle_id,c4_avenida_id,c2_senda_id,i4_parcela,c4_casa</fields-->
            <fields>i8_empresa_id,i2_actividad_general_id,i4_actividad_especifica_id,i6_actividad_subespecifica_id</fields>
            <document_fields>i8_empresa_id,i2_actividad_general_id,i4_actividad_especifica_id,i6_actividad_subespecifica_id</document_fields>    
            <select_labels id="i2_actividad_general_id">
                <database>SanCayetano</database>
                <table>sdm_actividad_generales</table>
                <id_field>i2_actividad_general_id</id_field>
                <fields>v64_name</fields>
                <document_fields>v64_actividad_general</document_fields>
            </select_labels>
            <select_labels id="i4_actividad_especifica_id">
                <database>SanCayetano</database>
                <table>sdm_actividad_especificas</table>
                <id_field>i4_actividad_especifica_id</id_field>
                <fields>v64_especifica_name</fields>
                <document_fields>v64_actividad_especifica</document_fields>
            </select_labels>
            <select_labels id="i6_actividad_subespecifica_id">
                <database>SanCayetano</database>
                <table>sdm_actividad_subespecificas</table>
                <id_field>i6_actividad_subespecifica_id</id_field>
                <fields>v64_subespecifica_name</fields>
                <document_fields>v64_actividad_subespecifica</document_fields>
            </select_labels>
            <select_labels id="null"></select_labels>    
        </association>
        <association id="null"></association>
    </clase>
    <elements>NO</elements>
    <element id ="null"></element> 
</option>